> For the complete documentation index, see [llms.txt](https://docs.predicthq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.predicthq.com/api/overview/api-specs.md).

# API Specs

We provide OpenAPI specs for all our APIs. These live in a Github repo. Our API Reference pages are auto-generated based on these specs.

* [OpenAPI Specs Github Repo](https://github.com/predicthq/api-specs)
* [Swagger UI](https://api.predicthq.com/docs/) - Test out our APIs in the familiar Swagger UI.

{% hint style="success" %}
You can also test-drive the PredictHQ API by importing our Postman Collection below.

[![Run in Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/30781535-c2432730-7b3f-417f-8e8f-1153c9176bd6?action=collection%2Ffork\&source=rip_markdown\&collection-url=entityId%3D30781535-c2432730-7b3f-417f-8e8f-1153c9176bd6%26entityType%3Dcollection%26workspaceId%3D2185441d-0210-43a4-a306-6a0b5f962481)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.predicthq.com/api/overview/api-specs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
